package jpatp.unknown;

import java.io.Serializable;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

@Entity
@Table(name = "ADDRESSUNKNOWN")
public class Addressunknown implements Serializable
{
    /**
     * 
     */
    private static final long serialVersionUID = 7194924324055386334L;

    @Id
    @Column(name = "ADDR_ID", nullable = false)
    private int ID;

    private String STREET;

    private String CITY;

    private String PROVINCE;

    private String P_CODE;

    private String COUNTRY;

    @ManyToOne
    @JoinColumn(name = "ID")
    private Unknown collect;

    public String getCITY()
    {
        return CITY;
    }

    public void setCITY(String city)
    {
        CITY = city;
    }

    public String getCOUNTRY()
    {
        return COUNTRY;
    }

    public void setCOUNTRY(String country)
    {
        COUNTRY = country;
    }

    public String getP_CODE()
    {
        return P_CODE;
    }

    public void setP_CODE(String p_code)
    {
        P_CODE = p_code;
    }

    public String getPROVINCE()
    {
        return PROVINCE;
    }

    public void setPROVINCE(String province)
    {
        PROVINCE = province;
    }

    public String getSTREET()
    {
        return STREET;
    }

    public void setSTREET(String street)
    {
        STREET = street;
    }

    public int getID()
    {
        return ID;
    }

    public void setID(int id)
    {
        ID = id;
    }

    public Unknown getCollect()
    {
        return this.collect;
    }

    public void setCollect(Unknown collect)
    {
        this.collect = collect;
    }
}
